<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.PutNoOverwrite Method (MultipleKeyDatabaseEntry)
Database Class See Also Send Feedback

Store the key/data pairs in the database, only if the key does not already appear in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public void PutNoOverwrite(
    	MultipleKeyDatabaseEntry key
    )

Visual Basic (Declaration)

    Public Sub PutNoOverwrite ( _
    	key As MultipleKeyDatabaseEntry _
    )

Visual C++

    public:
    void PutNoOverwrite(
    	MultipleKeyDatabaseEntry^ key
    )

#### Parameters

key
  Type: BerkeleyDB..::.MultipleKeyDatabaseEntry
  Key/data pairs to store in the database

# See Also

Database Class
PutNoOverwrite Overload
BerkeleyDB Namespace